from django.core.management.base import BaseCommand, CommandError

from games.utils import skyscrape_console


class Command(BaseCommand):
    help = "Scrape all games found in a given gamelist XML file"

    def add_arguments(self, parser):
        parser.add_argument("system", type=str)

    def handle(self, *args, **options):
        scrape_out, load_out = skyscrape_console(options["system"])
        self.stdout.write(self.style.SUCCESS(f"Successfully scraped roms"))
